{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Story 8</title>
<link rel='stylesheet' href="{% static 'story3/css/style.css' %}">
{% endblock meta %}

{% block navbarmenus %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story3:index' %}">Back to Story 3</a>
</li>
{% endblock navbarmenus %}

{% block content %}
<div class="main">
    <div class="section-new signup">
        <div class="section-title">
            <h1 class="section-title-h1">Sign Up</h1>
            <div class="underline signup"></div>
        </div>
        <div class="signup-part">
            <form method="POST">
                {% csrf_token %}
                <div class="signup-field">
                    <p>Username:</p>
                    {{ form.username }}
                </div>
                <div class="signup-field">
                    <p>Password:</p>
                    {{ form.password1 }}
                </div>
                <div class="signup-field">
                    <p>Confirm password:</p>
                    {{ form.password2 }}
                </div>
                {% if form.errors.values %}
                    <div class="signup-errors">
                        {% for error in form.errors.values %}
                            {{ error }}
                        {% endfor %}
                    </div>
                {% endif %}
                <button class="story5 btn" style="margin-bottom:1rem;" type="submit">Sign Up</button>
                <p>Already have an account? <a href="{% url 'story9:login' %}">Login</a>.</p>
            </form>
        </div>
    </div>
</div>
{% endblock content %}